.gateway-service-module:
  variables:
    MODULE: "infrastructure/gateway-service"
#  only:
#    changes:
#      - "gateway-service/**/*"

gateway-service:build:
  extends:
    - .gateway-service-module
    - .build-mvn-module

gateway-service:test:
  needs: ["gateway-service:build"]
  extends:
    - .gateway-service-module
    - .test-module